Fehler bei Erkennung der Datenbanksoftware

  • Hallo


    bei einer Debian 12.2 (Bookworm) installation schafft es LiveConfig die installation MariaDB Version nicht zu erkennen.


    Debian Version: 12.2

    MariaDB Version: 11.1.2-MariaDB-1:11.1.2+maria~deb12

    LiveConfig Version: LiveConfig 2.16.1-dev20230711.1


    Fehlermeldung LiveConfig --Diag


    Checking for database server software:

    /usr/bin/mysql: Deprecated program name. It will be removed in a future release, use '/usr/bin/mariadb' instead


    MIt freundlichen Grüßen

    Martin Krüger

  • hmmm. Wie hast Du denn MariaDB installiert? Bei uns taucht der Fehler wie bei Dir nicht auf?


    ---------------------------------------------------------------------------------------------------------------------------------------

    liveconfig --diag


    Running OS diagnostics... (LiveConfig 2.16.1-dev20230711.1)

    FILE SYSTEMS:


    .....

    IPMI:

    ERROR: IPMI not supported in this build

    QUOTA for group 'root' at path /var/www: ERROR - No such process

    Running Lua diagnostics...

    Segmentation fault

    -----

    Checking for database server software:

    - Found 'mysql' database server

    Version: '10.11.3'

    Package version: '1:10.11.3-1'

    ---------------------------------------------------------------------------------------------------------------------------------------


    mariadb --version

    mariadb Ver 15.1 Distrib 10.11.3-MariaDB, for debian-linux-gnu (x86_64) using EditLine wrapper



    Gruß Ralf

  • Hallo


    normal über die Repo von MariaDB


    via

    Code
    curl -LsS https://r.mariadb.com/downloads/mariadb_repo_setup | sudo bash


    Running Lua diagnostics...

    [INFO] Loading custom Lua settings from '/usr/lib/liveconfig/lua/custom.lua'

    [INFO] Detected 'Debian GNU/Linux 12 (bookworm)'

    [INFO] setting PHP default version to 'php80'

    Distribution name: 'Debian'

    Distribution codename: 'bookworm'

    Distribution family: 'Debian'

    Distribution version: '12'

    Distribution description: 'Debian GNU/Linux 12 (bookworm)'

    Checking for web server software:

    - Found 'apache' web server

    Version: '2.4.57'

    Package version: '2.4.57-2'

    Modules: core so watchdog http log_config logio version unixd access_compat actions alias auth_basic authn_core authn_file authz_core authz_host authz_user autoindex deflate dir env expires fcgid filter headers http2 include mime mime_magic mpm_event negotiation proxy proxy_fcgi proxy_http reqtimeout rewrite setenvif socache_shmcb ssl suexec

    - Found 'nginx' web server

    Version: '1.22.1'

    Package version: '1.22.1-9'

    - PHP 5.6.40 (code='php56', eol='2018-12-31')

    CGI/FastCGI: /opt/php-5.6/bin/php-cgi

    FPM: /opt/php-5.6/sbin/php-fpm

    pool config: /etc/php-fpm/php56-fpm.d

    default php.ini: '/opt/php-5.6/etc/php.ini'

    - PHP 7.0.33 (code='php70', eol='2019-01-10')

    CGI/FastCGI: /opt/php-7.0/bin/php-cgi

    FPM: /opt/php-7.0/sbin/php-fpm

    pool config: /etc/php-fpm/php70-fpm.d

    default php.ini: '/opt/php-7.0/etc/php.ini'

    - PHP 7.1.33 (code='php71', eol='2019-12-01')

    CGI/FastCGI: /opt/php-7.1/bin/php-cgi

    FPM: /opt/php-7.1/sbin/php-fpm

    pool config: /etc/php-fpm/php71-fpm.d

    default php.ini: '/opt/php-7.1/etc/php.ini'

    - PHP 7.2.34 (code='php72', eol='2020-11-30')

    CGI/FastCGI: /opt/php-7.2/bin/php-cgi

    FPM: /opt/php-7.2/sbin/php-fpm

    pool config: /etc/php-fpm/php72-fpm.d

    default php.ini: '/opt/php-7.2/etc/php.ini'

    - PHP 7.3.33 (code='php73', eol='2021-12-06')

    CGI/FastCGI: /opt/php-7.3/bin/php-cgi

    FPM: /opt/php-7.3/sbin/php-fpm

    pool config: /etc/php-fpm/php73-fpm.d

    default php.ini: '/opt/php-7.3/etc/php.ini'

    - PHP 7.4.33 (code='php74', eol='2022-11-28')

    CGI/FastCGI: /opt/php-7.4/bin/php-cgi

    FPM: /opt/php-7.4/sbin/php-fpm

    pool config: /etc/php-fpm/php74-fpm.d

    default php.ini: '/opt/php-7.4/etc/php.ini'

    - PHP 8.0.30 [DEFAULT] (code='php80', eol='2023-11-26')

    CGI/FastCGI: /opt/php-8.0/bin/php-cgi

    FPM: /opt/php-8.0/sbin/php-fpm

    pool config: /etc/php-fpm/php80-fpm.d

    default php.ini: '/opt/php-8.0/etc/php.ini'

    - PHP 8.1.23 (code='php81', eol='2024-11-25')

    CGI/FastCGI: /opt/php-8.1/bin/php-cgi

    FPM: /opt/php-8.1/sbin/php-fpm

    pool config: /etc/php-fpm/php81-fpm.d

    default php.ini: '(null)'

    - PHP 8.2.10 (code='php82', eol='2025-12-08')

    CGI/FastCGI: /opt/php-8.2/bin/php-cgi

    FPM: /opt/php-8.2/sbin/php-fpm

    pool config: /etc/php-fpm/php82-fpm.d

    default php.ini: '/opt/php-8.2/etc/php.ini'

    - PHP 8.2.7 (code='php8')

    CGI/FastCGI: /usr/bin/php-cgi

    FPM: /usr/sbin/php-fpm8.2

    pool config: /etc/php/8.2/fpm/pool.d

    default php.ini: '/etc/php/8.2/cgi/php.ini'

    - default PHP CLI: /usr/bin/php

    Checking for ftp server software:

    - Found 'proftpd' FTP server

    Version: '1.3.8'

    Package version: '1.3.8+dfsg-4+deb12u1'

    Checking for SMTP server software:

    - Found 'postfix' smtp server

    Version: '3.7.6'

    Package version: '3.7.6-0+deb12u2'

    DANE/TLSA support: 'yes'

    - SpamAssassin: NOT FOUND

    - found OpenDKIM (package version: '2.11.0~beta2-8')

    configured: no

    Checking for POP/IMAP server software:

    - Found 'dovecot' POP/IMAP server

    Version: '2.3.19.1'

    Package version: '1:2.3.19.1+dfsg1-2.1'

    Checking for database server software:

    /usr/bin/mysql: Deprecated program name. It will be removed in a future release, use '/usr/bin/mariadb' instead

    Checking for DNS server software:

    Done.


    MariaDB Version


    mariadb --version

    mariadb from 11.1.2-MariaDB, client 15.2 for debian-linux-gnu (x86_64) using EditLine wrapper


    Ausgabe:


    root@www:~# dpkg -l | grep -i mariadb

    ii libmariadb3:amd64 1:11.1.2+maria~deb12 amd64 MariaDB database client library

    ii mariadb-client 1:11.1.2+maria~deb12 amd64 MariaDB database client binaries

    ii mariadb-client-compat 1:11.1.2+maria~deb12 all MySQL compatibility links to mariadb-client binaries/scripts.

    ii mariadb-client-core 1:11.1.2+maria~deb12 amd64 MariaDB database core client binaries

    ii mariadb-common 1:11.1.2+maria~deb12 all MariaDB database common files (e.g. /etc/mysql/mariadb.conf.d/)

    ii mariadb-server 1:11.1.2+maria~deb12 amd64 MariaDB database server binaries

    ii mariadb-server-compat 1:11.1.2+maria~deb12 all MySQL compatibility links to mariadb-server binaries/scripts.

    ii mariadb-server-core 1:11.1.2+maria~deb12 amd64 MariaDB database core server files

    ii mysql-common 1:11.1.2+maria~deb12 all MariaDB client common configuration files package (e.g. /etc/mysql/my.cnf)


    Mit freundlichen Grüßen

    Martin Krüger

  • Hallo


    ich habe mir mal den Code angesehen:


    /usr/lib/liveconfig/lua/mysql.lua


    Ab Zeile 74:


    function detect()


    local pkg, v, bin


    -- first check for distribution-specific packages

    if LC.distribution.family == "Debian" or LC.distribution.family == "RedHat" or LC.distribution.family == "BSD" then

    pkg, v = LC.distribution.hasPackage(

    'mysql-server', 'mysql-community-server', 'mysql-server-5.0', 'mysql-server-5.1', 'mysql-server-5.5', 'mysql-server-5.6', 'mysql-server-5.7', 'mysql-server-8.0',

    'percona-server-server', 'percona-server-server-5.1', 'percona-server-server-5.5', 'percona-server-server-5.6', 'percona-server-server-5.7',

    'mariadb-server', 'mariadb-server-5.5', 'mariadb-server-10.0', 'mariadb-server-10.1', 'mariadb-server-10.3', 'mariadb-server-10.4', 'mariadb-server-10.5', 'mariadb-server-10.6', 'mariadb-server-10.8', 'mariadb-server-10.9', 'mariadb-server-10.10', 'mariadb-server-10.11', 'mariadb-server-11.0', 'mariadb-server-11.1', 'mariadb-galera-server',

    'MariaDB-server', 'MariaDB-Galera-server')

    elseif LC.distribution.family == "SUSE" then

    pkg, v = LC.distribution.hasPackage('mysql-community-server', 'mariadb', 'mariadb-client', 'mariadb-server', 'mysql')

    else

    pkg, v = LC.distribution.hasPackage('mysql', 'MariaDB', 'MariaDB-Galera')

    end

    if pkg ~= nil then

    LC.log.print(LC.log.DEBUG, "Found package '", pkg, "' (Version ", v, ")")

    if LC.distribution.family == "BSD" then

    bin = "/usr/local/bin/mysql"

    else

    bin = "/usr/bin/mysql" (wenn bin = "/usr/bin/mysql" gegen bin = "/usr/bin/mariadb" ausgetauscht wird, verschwindet die Fehlermeldung unter liveconfig --diag, aber leider wird trotzdem kein "mariadb-server 1:11.1.2+maria~deb12 amd64" erkannt.

    end


    Mit freundlichen Grüßen

    Martin Krüger

  • Hallo


    mit dem Update auf 11.1.3-MariaDB-1:11.1.3+maria~deb12 hat sich am Fehler leider immer noch nichts geändert und besteht weiterhin.


    dpkg -l | grep -i mariadb


    libdbd-mariadb-perl 1.22-1+b1 amd64 Perl5 database interface to the MariaDB/MySQL databases

    libmariadb3:amd64 1:11.1.3+maria~deb12 amd64 MariaDB database client library

    mariadb-client 1:11.1.3+maria~deb12 amd64 MariaDB database client binaries

    mariadb-client-compat 1:11.1.3+maria~deb12 all MySQL compatibility links to mariadb-client binaries/scripts.

    mariadb-client-core 1:11.1.3+maria~deb12 amd64 MariaDB database core client binaries

    mariadb-common 1:11.1.3+maria~deb12 all MariaDB database common files (e.g. /etc/mysql/mariadb.conf.d/)

    mariadb-server 1:11.1.3+maria~deb12 amd64 MariaDB database server binaries

    mariadb-server-compat 1:11.1.3+maria~deb12 all MySQL compatibility links to mariadb-server binaries/scripts.

    mariadb-server-core 1:11.1.3+maria~deb12 amd64 MariaDB database core server files

    mysql-common 1:11.1.3+maria~deb12 all MariaDB client common configuration files package (e.g. /etc/mysql/my.cnf)


    Mit freundlichen Grüßen

    Martin Krüger

  • Welchen Vorteil hat eigentlich die 11 mariadb Version ggü. der 10er Reihe beim Hosting?

    Für so typische Dinge wie WordPress, phpBB, usw. sehe ich nicht direkt einen Vorteil, da reicht doch die Distri Version vollständig aus.

    Oder habe ich da irgendeinen Kniff übersehen bzw. nicht bedacht?

    • New
    • Official Post

    Auf die Gefahr hin dass ich mich wiederhole: das ist kein Fehler in LiveConfig, sondern eine "Unschönheit" in MariaDB, dass /usr/bin/mysql inzwischen diese Warnmeldung ausgibt.

    Wir testen LiveConfig ausschließlich mit den bei der jeweiligen unterstützten Distribution mitgelieferten Datenbanksystemen durch. Wer eine Software aus einer anderen Quelle installieren mag, muss das (schon immer) auf "eigenes Risiko" machen. Hier einen Workaround einzurichten (z.B. Anpassen des Dateinamens o.ä.) sollte einen Admin vor keine unlösbare Aufgabe stellen.


    Wir werden die Prüfung auf /usr/bin/mariadb aber berücksichtigen, da früher oder später dieses Verhalten ja auch in die "normalen" Distributions-Versionen einfließen dürfte.

  • Hallo


    die Warnungmeldung bekommt man ja mit der Anpassung siehe Post#9 weg, trotzdem wird kein MariaDB Server erkannt, LiveConfig Läuft aber auf dem nicht erkannten MariaDB Server.


    Mit freundlichen Grüßen

    Martin Krüger

  • Hallo


    anbei die Ausgabe von:


    dpkg -l | grep -i mariadb


    libdbd-mariadb-perl 1.22-1+b1 amd64 Perl5 database interface to the MariaDB/MySQL databases

    libmariadb3:amd64 1:11.1.3+maria~deb12 amd64 MariaDB database client library

    mariadb-client 1:11.1.3+maria~deb12 amd64 MariaDB database client binaries

    mariadb-client-compat 1:11.1.3+maria~deb12 all MySQL compatibility links to mariadb-client binaries/scripts.

    mariadb-client-core 1:11.1.3+maria~deb12 amd64 MariaDB database core client binaries

    mariadb-common 1:11.1.3+maria~deb12 all MariaDB database common files (e.g. /etc/mysql/mariadb.conf.d/)

    mariadb-server 1:11.1.3+maria~deb12 amd64 MariaDB database server binaries

    mariadb-server-compat 1:11.1.3+maria~deb12 all MySQL compatibility links to mariadb-server binaries/scripts.

    mariadb-server-core 1:11.1.3+maria~deb12 amd64 MariaDB database core server files

    mysql-common 1:11.1.3+maria~deb12 all MariaDB client common configuration files package (e.g. /etc/mysql/my.cnf)


    Mit freundlichen Grüßen

    Martin Krüger

Participate now!

Don’t have an account yet? Register yourself now and be a part of our community!